### File

`packages/eui/packages/components-next/src/lib/layout/eui-app/eui-app-sidebar/sidebar-menu/sidebar-menu.component.ts`

### Implements

`OnInit` `OnChanges` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar-menu`
templateUrl | `./sidebar-menu.component.html`

### Index

###### Properties
Public asService
###### Methods
Public onMenuItemClicked
###### Inputs
expandAllItems hasFilter hasIcons hasTooltip items
###### Outputs
onSidebarItemClicked
###### HostBindings
class

### Constructor

`constructor(asService: UxAppShellService)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No

### Inputs

expandAllItems
Default value : `false`

hasFilter
Default value : `false`

hasIcons
Default value : `false`

hasTooltip
Default value : `false`

items
Type : `any[]`

### Outputs

onSidebarItemClicked
Type : `EventEmitter`

### HostBindings

class
Default value : `'eui-app-sidebar-menu'`

### Methods

Public onMenuItemClicked
`onMenuItemClicked(event: EuiMenuItem)`
Parameters :
Name | Type | Optional
event | `EuiMenuItem` | No
Returns : `void`

### Properties

Public asService
Type : `UxAppShellService`

# result-matching ""

# No results matching ""